name='libndi-bin'
version='5.5.3'
release='2'
desc='ndi-sdk для obs-ndi'
homepage='https://github.com/Palakis/obs-ndi'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('LGPL2.0')
provides=('libndi')
conflicts=('libndi-git' 'ndi-sdk')

sources=("https://github.com/obs-ndi/obs-ndi/releases/download/4.11.1/libndi5-dev_${version}-1_amd64.deb"
"https://github.com/obs-ndi/obs-ndi/releases/download/4.11.1/libndi5_${version}-1_amd64.deb")
checksums=('SKIP'
'SKIP')

prepare() {
   cd "${srcdir}"
   mkdir a b
   bsdtar -xf a99a7021-6a69-4de8-ad85-77c79e35f21e -C a data.tar.zst
   bsdtar -xf fc8a99d4-77af-4751-87c8-05bcc86d1779 -C b data.tar.zst
   tar -xf a/data.tar.zst -C "${pkgdir}"
   tar -xf b/data.tar.zst -C "${pkgdir}"
}

package() {
	install -Dm755 ./${name}v${version}/usr/bin/ndi-benchmark "${pkgdir}/usr/bin/"
   install -Dm755 ./${name}v${version}/usr/bin/ndi-directory-service "${pkgdir}/usr/bin/"
   install -Dm755 ./${name}v${version}/usr/bin/ndi-free-audio "${pkgdir}/usr/bin/"
   install -Dm755 ./${name}v${version}/usr/bin/ndi-record "${pkgdir}/usr/bin/"
   install -Dm755 ./${name}v${version}/usr/include/Processing.NDI.compat.h "${pkgdir}/usr/include/"
   install -Dm755 ./${name}v${version}/usr/include/Processing.NDI.deprecated.h "${pkgdir}/usr/include/"
   install -Dm755 ./${name}v${version}/usr/include/Processing.NDI.DynamicLoad.h "${pkgdir}/usr/include/"
   install -Dm755 ./${name}v${version}/usr/include/Processing.NDI.Find.h "${pkgdir}/usr/include/"
   install -Dm755 ./${name}v${version}/usr/include/Processing.NDI.FrameSync.h "${pkgdir}/usr/include/"
   install -Dm755 ./${name}v${version}/usr/include/Processing.NDI.Lib.cplusplus.h "${pkgdir}/usr/include/"
   install -Dm755 ./${name}v${version}/usr/include/Processing.NDI.Lib.h "${pkgdir}/usr/include/"
   install -Dm755 ./${name}v${version}/usr/include/Processing.NDI.Recv.ex.h "${pkgdir}/usr/include/"
   install -Dm755 ./${name}v${version}/usr/include/Processing.NDI.Recv.h "${pkgdir}/usr/include/"
   install -Dm755 ./${name}v${version}/usr/include/Processing.NDI.Routing.h "${pkgdir}/usr/include/"
   install -Dm755 ./${name}v${version}/usr/include/Processing.NDI.Send.h "${pkgdir}/usr/include/"
   install -Dm755 ./${name}v${version}/usr/include/Processing.NDI.structs.h "${pkgdir}/usr/include/"
   install -Dm755 ./${name}v${version}/usr/include/Processing.NDI.utilities.h "${pkgdir}/usr/include/"
   install -Dm755 ./${name}v${version}/usr/lib/libndi.so "${pkgdir}/usr/libndi.so"
   install -Dm755 ./${name}v${version}/usr/lib/libndi.so.5 "${pkgdir}/usr/libndi.so.5"
   install -Dm755 ./${name}v${version}/usr/lib/libndi.so.5.5.3 "${pkgdir}/usr/libndi.so.5.5.3"
}
